$primary-color: #8E182E;

html, body{
    @apply font-primaryFont
}

//truncate
.truncate {
    white-space: nowrap;
    overflow: hidden;
    text-overflow: ellipsis;
    -webkit-line-clamp: 5; 
    -webkit-box-orient: vertical;
}

.multi-line-truncate {
    display: -webkit-box;
    -webkit-line-clamp: 5; 
    -webkit-box-orient: vertical;
    overflow: hidden;
}


//flex
.flex-col-space-between {
    display: flex;
    flex-direction: column;
    justify-content: space-between;
}

//btn
.btn {
    border: 1px solid $primary-color;
    background: white;
    color: $primary-color;
    &:hover{
        border: 1px solid transparent;
        background: $primary-color;
        color: white;
    }
}

.notAllowedBtn{
    border: 1px solid gray;
    color: gray;
    opacity: 0.7;
    cursor:not-allowed;
}

.hoverBtn {
    border: 1px solid transparent;
    background: $primary-color;
    color: white;
}

//

//effect
.blink {
    animation: blinker 1s linear infinite;
}
@keyframes blinker {
    50% {
      opacity: 0;
    }
}

.hover-group:hover{
    .hoverImg {
        transform: scale(1.2);
        object-fit: cover;
        transform: smooth;
        transition: 1.2s;
    }
}

.hover-group-avatar:hover {
    .hover-avatar{
        opacity: 0.5;
    }
    .hover-upload{
        display: block;
    }
}


@media (min-width: 1024px) {
    .group-gray-scale {
      &:hover {
        .hover-gray-scale-item {
          filter: grayscale(0);
        }
      }
      .hover-gray-scale-item {
        filter: grayscale(100%);
      }
    }
}


//custom owl carousel
.owl-nav {
    position: absolute;
    top: 30%;
    width: 100%;
    transform: translateY(-50%);

    .owl-prev,
    .owl-next {
        width: 40px;
        height: 40px;
        background-color: #fff;
        border-radius: 50%;
        position: absolute;
        display: flex;
        align-items: center;
        justify-content: center;
        transition: background-color 0.3s ease;

        span {
            display: none;
        }

        &::after {
            font-size: 20px;
            transition: color 0.3s ease;
        }

        &:hover::after {
            opacity: 1;
        }
    }

    .owl-prev {
        left: 5px;

        &::after {
            content: '\25C0';
            background: #7a7f7d;
            opacity: 0.7;
            color: #FFF;
            text-decoration: none;
            padding: 6px 10px;
            font-size: 14px;
            margin: 5px;
            display: inline-block;
            cursor: pointer;
            border-radius: 3px;
        }
    }

    .owl-next {
        right: 5px;

        &::after {
            content: '\25B6';
            background: #7a7f7d;
            opacity: 0.7;
            color: #FFF;
            text-decoration: none;
            padding: 6px 10px;
            font-size: 14px;
            margin: 5px;
            display: inline-block;
            cursor: pointer;
            border-radius: 3px;
        }
    }
}

.owl-theme .owl-nav [class*='owl-']:hover {
    background: none;
    color: none;
    text-decoration: none;
}

@media (min-width: 1280px) {
    .owl-nav {
        position: absolute;
        top: 35%;
        width: 100%;
        transform: translateY(-50%);
    }
}

//responsive header
@media (min-width: 1024px) {
    /* Đặt kiểu hiển thị menu ngang */
    .nav-menu {
      display: flex;
      justify-content: space-between;
      align-items: center;
    }
    
    .nav-menu ul {
      list-style: none;
      display: flex;
      margin: 0;
      padding: 0;
    }
    
    .nav-menu li {
      margin: 0 10px;
    }
}
  